LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::document::LinkUpdateModes Constant Group Referencepublished

## Variables
const long | NEVER = 0
| never update links More...
const long | MANUAL = 1
| update links when confirmed on request during loading the document More...
const long | AUTO = 2
| automatic update on load More...
const long | GLOBAL_SETTING = 3
| use the setting that is configured in your installed application. More...

## Variable Documentation

## ◆ AUTO

const long AUTO = 2

automatic update on load

## ◆ GLOBAL_SETTING

const long GLOBAL_SETTING = 3

use the setting that is configured in your installed application.

This may be one of the above behaviors.

## ◆ MANUAL

const long MANUAL = 1

update links when confirmed on request during loading the document

## ◆ NEVER

const long NEVER = 0

never update links